package com.halo.halojuhesdk.core.request;

import android.text.TextUtils;

import com.halo.halojuhesdk.core.base.utils.LogUtils;
import com.halo.halojuhesdk.core.common.utils.MyUtils;
import com.halo.halojuhesdk.sdk.HlAdClient;

import org.json.JSONObject;

import java.util.List;

/**
 * @author Feng Zhanao
 * @date 2018/8/31
 * @description 1.此次初始化是否完成, 成功
 * 2.初始化进行中,判断之前的失败次数是否大于3次,大于3次的情况下,不请求广告,小于三次走默认或者sp
 * 3.初始化失败,重新走一次初始化,最多走一次,,判断之前的失败次数是否大于3次,大于3次的情况下,不请求广告,小于三次走默认或者sp
 * 4.请求广告,返回configBean,2.不请求广告,3请求广告不返回configBean走默认.
 */
public class RequestAdManager {


    /**
     * 是否请求广告
     */
    public static  boolean canRequestAd() {
        return InitStatus.CURRENT_STATUS == InitStatus.INIT_SUCCESS;
    }

    /**
     * 确定可以请求广告,判断当前是否初始化未完成,未完成走sp,完成走原始.
     */
    public static List<SlotBean> requestChannel(String adSlotId) {
        if (TextUtils.isEmpty(adSlotId)) {
            return null;
        }
        if (HlAdClient.slotMap != null && !HlAdClient.slotMap.isEmpty()) {
            List<SlotBean> slotBeans = HlAdClient.slotMap.get(adSlotId);
            if (slotBeans != null && !slotBeans.isEmpty()) {
                return HlAdClient.slotMap.get(adSlotId);
            } else {
                HlAdClient.initConfig(MyUtils.getContext());
            }
        } else {
            if (MyUtils.getSp() == null) return null;
            String result = MyUtils.getSp().getString("result", "");
            if (TextUtils.isEmpty(result)) {
                HlAdClient.initConfig(MyUtils.getContext());
                return null;
            }
            try {
                JSONObject object = new JSONObject(result);
                InitDataProcessor.parseData2(object);
                return HlAdClient.slotMap.get(adSlotId);
            } catch (Exception e) {
                LogUtils.d("sp初始化失败");
                e.printStackTrace();
            }
        }
        return null;
    }

    public static List<SlotBean> requestChannel2(String adSlotId) {
        if (TextUtils.isEmpty(adSlotId)) {
            return null;
        }
        if (MyUtils.getSp() == null) return null;
        String result = MyUtils.getSp().getString("result", "");
        if (TextUtils.isEmpty(result)) {
            HlAdClient.initConfig(MyUtils.getContext());
            return null;
        }
        try {
            JSONObject object = new JSONObject(result);
            InitDataProcessor.parseData3(object);
            return HlAdClient.slotMap.get(adSlotId);
        } catch (Exception e) {
            LogUtils.d("sp初始化失败");
            e.printStackTrace();
        }
        return null;
    }
}
