package com.halo.halojuhesdk.core.request;


import com.halo.halojuhesdk.core.base.net.AbstractNetProcessor;
import com.halo.halojuhesdk.core.base.net.AbstractNetTask;
import com.halo.halojuhesdk.core.base.utils.LogUtils;

import javax.net.ssl.HttpsURLConnection;

/**
 * 请求数据的percessor
 */

public class StatisProcessor extends AbstractNetProcessor {
    private static final String TAG = "StatisProcessor";
    private String mErrorMsg;
    private SlotBean mBean;
    private String mStepName;
    private String mAction;
    private String mReqId;
    private RequestCallBack mCallBack;

    public StatisProcessor(SlotBean bean, String stepName, String action, String reqId, String errorMsg) {
        mBean = bean;
        mStepName = stepName;
        mAction = action;
        mReqId = reqId;
        mErrorMsg = errorMsg;
    }

    @Override
    protected AbstractNetTask createTask() {
        return new StatisTask(mBean, mStepName, mAction, mReqId, mErrorMsg);
    }


    @Override
    public void finish(int code, String content) {
        if (code == HttpsURLConnection.HTTP_OK) {
            if (mCallBack != null) {
                mCallBack.onSuccess();
            }
        }
        LogUtils.e("===reportStatis==" + mReqId + "===soltId===" + mBean.slotId);
    }


    @Override
    public void onError(int code, String content) {
        if (mCallBack != null) {
            mCallBack.onError();
        }
    }

    public void callBack(RequestCallBack requestCallBack) {
        mCallBack = requestCallBack;
    }

}
